@charset "UTF-8";

.c-product {
    display: block;
    width: 100%;
    border-radius: 5px;
    overflow: hidden;
}

/****圖片****/
.c-product__pic {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0 auto 20px auto;
    border-radius: 5px;
    overflow: hidden;
}

.c-product__pic img {
    object-fit: cover;
    object-position: center;
    width: 100%;
    height: 100%;
    transform-origin: center;
    transition: transform .4s ease-in-out;
}

.c-product:hover .c-product__pic img {
    transform: scale(1.1);
}

.c-product__pic__type {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: auto;
    font-size: 17px;
    line-height: 1;
    color: #fff;
    font-family: 'NotoSansTC-B';
    text-align: center;
    padding: 20px;
    background: linear-gradient(to right, #24cbd3 0%, #0bbac2 100%);
    border-radius: 0 0 5px 0;
}

.c-product__pic__notice {
    position: absolute;
    bottom: 0;
    right: 0;
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-end;
    justify-content: flex-end;
    width: 100%;
}

.c-product__pic__notice__title {
    font-size: 17px;
    line-height: 1;
    font-family: 'NotoSansTC-B';
    color: #fff;
    padding: 0 20px 0 0;
}

.c-product__pic__notice__price {
    display: block;
    padding: 3.5px 20px;
    font-size: 36px;
    font-family: 'Poppins';
    line-height: inherit;
    color: #fff;
    background: linear-gradient(to right, #24cbd3 0%, #0bbac2 100%);
    border-radius: 5px 0 0 0;
}

.c-product__pic__notice__price__unit {
    font-size: 17px;
    line-height: inherit;
    color: inherit;
    font-family: 'NotoSansTC';
}

/****收藏****/
.c-product__collect {
    position: absolute;
    top: 15px;
    left: 15px;
    display: block;
    width: 30px;
    height: 30px;
    background: url(../../images/common/icon_collect_bg.svg) center no-repeat;
    background-size: contain;
    cursor: pointer;
    z-index: 10;
}

.c-product__collect.active {
    background-image: url(../../images/common/icon_collect_active.svg)
}

/****注意事項****/
.c-product__notice {
    display: block;
    width: 100%;
    font-size: 17px;
    line-height: 1.2;
    color: #ff0000;
    font-family: 'NotoSansTC-M';
    margin: 0 0 10px 0;
}

/****標題****/
.c-product__title {
    display: inline;
    width: 100%;
    font-size: 19px;
    line-height: 2;
    color: #44464e;
    font-family: 'NotoSansTC-B';
}

.c-product__title::before {
    position: relative;
    display: inline;
    font-size: 15px;
    line-height: 1;
    color: #fff;
    font-family: 'NotoSansTC-M';
    padding: 7px 15px;
    margin: 0 15px 0 0;
    border-radius: 5px;
    overflow: hidden;
}

.c-product__title span {
    padding: 0 0 5px 0;
    border-bottom: 1px solid transparent;
    transition: border-color .4s ease-in-out;
}

.c-product:hover .c-product__title span {
    border-bottom: 1px solid #44464e;
}

.c-product-store .c-product__title::before {
    content: '頂讓';
    background: #ff9800;
}

.c-product-item .c-product__title::before {
    content: '商品';
    background: #4caf50;
}

/****刊登資訊****/
.c-product__info {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    font-size: 15px;
    line-height: 2;
    color: #44464e;
    margin: 10px 0 0 0;
}

.c-product__info__item {
    padding: 0 10px 0 0;
    margin: 0 10px 0 0;
}

.c-product__info__item:last-child {
    padding: 0;
    margin: 0;
}

.c-product__info__item::after {
    content: '';
    position: absolute;
    top: 25%;
    right: -1px;
    display: block;
    width: 2px;
    height: 50%;
    background: #dfdfe3;
}

.c-product__info__item:last-child::after {
    display: none;
}

.c-product__info__item__title {
    font-family: 'NotoSansTC-B';
}

/****刊登時間****/
.c-product__time {
    display: block;
    width: 100%;
    font-size: 15px;
    line-height: 1;
    color: #44464e;
    margin: 10px 0 0 0;
}

.c-product__time__title {
    padding: 0 10px 0 0;
    margin: 0 10px 0 0;
    border-right: 2px solid #dfdfe3;
}

.c-product__time__blod {
    font-family: 'NotoSansTC-B';
}

/****tag****/
.c-product__tagbox {
    display: flex;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    margin: 30px 0 0 0;
}

.c-product__time+.c-product__tagbox {
    margin: 20px 0 0 0;
}

.c-product__tagbox__item {
    width: auto;
    font-size: 15px;
    line-height: 1;
    color: #313131;
    padding: 10px 15px;
    background: #dfdfe3;
    text-align: center;
    border-radius: 17.5px;
    margin: 0 10px 10px 0;
}

/**金額**/
.c-product__price {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-end;
    justify-content: flex-end;
    width: 100%;
}

.c-product__price__title {
    display: block;
    width: auto;
    font-size: 17px;
    line-height: 1px;
    color: #44464e;
    font-family: 'NotoSansTC-B';
    flex: 0 0 auto;
}

.c-product__price__item {
    display: flex;
    justify-items: flex-end;
    justify-content: flex-end;
    align-items: center;
    justify-content: center;
    padding: 20px 15px;
    font-size: 30px;
    line-height: 1;
    font-family: 'Poppins';
    color: #fff;
    background: linear-gradient(to left, #24cbd3 0%, #0bbac2 100%);
    border-radius: 5px;
    margin: 0 0 0 20px;
}

.c-product__price__item__unit {
    font-size: 17px;
    line-height: inherit;
    color: inherit;
    font-family: 'NotoSansTC-B';
    padding: 0 0 0 10px;
}

/**單行樣式**/
.c-produc-single {
    min-height: 350px;
    padding: 55px 70px 130px 475px;
    background: #fff;
}

.c-produc-single .c-product__pic {
    position: absolute;
    top: 35px;
    left: 35px;
    width: 385px;
    height: calc(100% - 70px);
    margin: 0;
    z-index: 10;
}

.c-produc-single .c-product__pic__notice {
    display: none;
}

.c-produc-single .c-product__collect {
    top: 55px;
    left: auto;
    right: 30px;
}

.c-produc-single .c-product__tagbox {
    margin: 15px 0 0 0;
}

.c-produc-single .c-product__price {
    position: absolute;
    bottom: 35px;
    right: 30px;
}

@media screen and (max-width: 991px) {

    /****圖片****/
    .c-product__pic {
        margin: 0 auto 20px auto;
    }

    .c-product__pic__type {
        font-size: 16px;
        padding: 10px 15px;
    }

    .c-product__pic__notice__price {
        font-size: 30px;
        padding: 7px 15px;
    }

    /****標題****/
    .c-product__title {
        display: block;
        line-height: 1.5;
    }

    .c-product__title::before {
        padding: 4.5px 10px;
        margin: 0 10px 0 0;
    }

    .c-product__title span {
        padding: 0;
    }

    .c-product .c-product__title span,
    .c-product:hover .c-product__title span {
        border: none;
    }

    /****tag****/
    .c-product__tagbox {
        margin: 20px 0 0 0;
    }

    /**單行樣式**/
    .c-produc-single {
        display: block;
        padding: 0 20px 30px 20px;
    }

    .c-produc-single .c-product__pic {
        position: relative;
        top: 0;
        left: -20px;
        width: calc(100% + 40px);
        height: auto;
        border-radius: 5px 5px 0 0;
        margin: 0 auto 20px auto;
    }

    .c-produc-single .c-product__pic__notice {
        display: flex;
    }

    .c-produc-single .c-product__pic__notice__title {
        top: 2.5px;
        font-size: 16px;
    }

    .c-produc-single .c-product__pic__notice__price {
        font-size: 27px;
        padding: 2.5px 15px 0 15px;
    }

    .c-produc-single .c-product__pic__notice__price__unit {
        font-size: 16px;
    }

    .c-produc-single .c-product__collect {
        top: 15px;
        right: 15px;
    }

    .c-produc-single .c-product__tagbox {
        margin: 10px 0 0 0;
    }

    .c-produc-single .c-product__price {
        display: none;
    }

    .c-produc-single .c-product__info {
        margin: 0;
    }
}

@media screen and (max-width: 767px) {

    /****圖片****/
    .c-product:hover .c-product__pic img {
        transform: none;
    }

    /****橫排樣式****/
    #styleToggle:checked~.c-productToggleBox .c-product {
        padding: 20px 20px 70px calc(40% + 20px);
        background: #fff;
    }

    #styleToggle:checked~.c-productToggleBox .c-product__pic {
        position: absolute;
        width: 40%;
        overflow: visible;
    }

    #styleToggle:checked~.c-productToggleBox .c-product__pic img {
        object-fit: cover;
        object-position: center;
        width: 100%;
        height: 100%;
    }

    #styleToggle:checked~.c-productToggleBox .c-product__pic__notice {
        left: 150%;
        right: auto;
    }

    #styleToggle:checked~.c-productToggleBox .c-product__pic__notice__title {
        display: none;
    }

    #styleToggle:checked~.c-productToggleBox .c-product__pic__notice__price {
        color: #00c8c8;
        background: none;
    }

    /**單行樣式**/
    .single .c-product {
        padding: 0;
        background: none;
    }

    .c-produc-single .c-product__pic {
        left: 0;
        width: 100%;
    }
}

@media screen and (max-width: 575px) {

    /****圖片****/
    .c-product__pic {
        margin: 0 auto 10px auto;
    }

    .c-product__pic__notice__title {
        font-size: 14px;
    }

    .c-product__pic__notice__price {
        font-size: 27px;
        padding: 5px 15px;
    }

    /****收藏****/
    .c-product__collect {
        top: 10px;
        left: 10px;
        width: 20px;
        height: 20px;
    }

    /****注意事項****/
    .c-product__notice {
        font-size: 15px;
        margin: 0 0 7.5px 0;
    }

    /****標題****/
    .c-product__title {
        font-size: 16px;
    }

    .c-product__title::before {
        font-size: 14px;
        padding: 5px 10px;
        margin: 0 5px 0 0;
    }

    /****刊登時間****/
    .c-product__time {
        font-size: 14px;
    }

    /****tag****/
    .c-product__tagbox,
    .c-product__time+.c-product__tagbox {
        margin: 10px 0 0 0;
    }

    /****橫排樣式****/
    #styleToggle:checked~.c-productToggleBox .c-product {
        padding: 15px 10px 35px calc(40% + 10px);
    }

    #styleToggle:checked~.c-productToggleBox .c-product__notice {
        font-size: 13px;
        margin: 0 0 7.5px 0;
    }

    #styleToggle:checked~.c-productToggleBox .c-product__title {
        font-size: 13px;
    }

    #styleToggle:checked~.c-productToggleBox .c-product__time {
        font-size: 12px;
        margin: 7.5px 0 0 0;
    }

    #styleToggle:checked~.c-productToggleBox .c-product__tagbox__item {
        font-size: 12px;
        padding: 6.5px 10px;
    }

    #styleToggle:checked~.c-productToggleBox .c-product__pic__notice__price {
        font-size: 20px;
        padding: 10px 15px;
    }

    /**單行樣式**/
    .c-produc-single .c-product__pic {
        margin: 0 0 10px 0;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}